Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.toJava
Class JavaTestCaseWriter

    java.lang.Object
      |
      +--org.apache.axis.wsdl.toJava.JavaWriter
            |
            +--org.apache.axis.wsdl.toJava.JavaClassWriter
                  |
                  +--org.apache.axis.wsdl.toJava.JavaTestCaseWriter

All Implemented Interfaces:
  Generator

public class JavaTestCaseWriter
extends JavaClassWriter

This is Wsdl2java's TestCase writer. It writes the TestCase.java file.

Fields inherited from class org.apache.axis.wsdl.toJava.JavaClassWriter
`className, namespaces, packageName`

Fields inherited from class org.apache.axis.wsdl.toJava.JavaWriter
`emitter, type`

Constructor Summary
`protected` | `JavaTestCaseWriter(Emitter emitter, ServiceEntry sEntry, SymbolTable symbolTable)` Constructor.

Method Summary
`protected java.lang.String` | `getExtendsText()` Returns "extends junit.framework.TestCase ".
`void` | `writeBindingAssignment(java.io.PrintWriter pw, java.lang.String bindingType, java.lang.String portName)`
`protected void` | `writeFileBody(java.io.PrintWriter pw)` Write the body of the TestCase file.

Methods inherited from class org.apache.axis.wsdl.toJava.JavaClassWriter
`getClassModifiers, getClassName, getClassText, getFileName, getImplementsText, getPackage, registerFile, writeFileFooter, writeFileHeader, writeHeaderComments, writePackage`

Methods inherited from class org.apache.axis.wsdl.toJava.JavaWriter
`closePrintWriter, generate, getPrintWriter, isFileGenerated, verboseMessage, writeComment`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaTestCaseWriter

    protected JavaTestCaseWriter(Emitter emitter,
                                 ServiceEntry sEntry,
                                 SymbolTable symbolTable)

  Constructor.

Method Detail

### getExtendsText

    protected java.lang.String getExtendsText()

  Returns "extends junit.framework.TestCase ".
  Overrides:
    `getExtendsText` in class `JavaClassWriter`
  Following copied from class: `org.apache.axis.wsdl.toJava.JavaClassWriter`
  Returns:
    ""

### writeFileBody

    protected void writeFileBody(java.io.PrintWriter pw)
                          throws java.io.IOException

  Write the body of the TestCase file.
  Overrides:
    `writeFileBody` in class `JavaWriter`

### writeBindingAssignment

    public final void writeBindingAssignment(java.io.PrintWriter pw,
                                             java.lang.String bindingType,
                                             java.lang.String portName)
                                      throws java.io.IOException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.